Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class MultiSplitLayout.Divider

    java.lang.Object
      org.jdesktop.swingx.MultiSplitLayout.Node
          org.jdesktop.swingx.MultiSplitLayout.Divider

Enclosing class:
  MultiSplitLayout

    public static class MultiSplitLayout.Divider

extends MultiSplitLayout.Node

Models a single vertical/horiztonal divider.

Constructor Summary
`MultiSplitLayout.Divider()`

Method Summary
`boolean` | `isVertical()` Convenience method, returns true if the Divider's parent is a Split row (a Split with isRowLayout() true), false otherwise.
`void` | `setWeight(double weight)` Dividers can't have a weight, they don't grow or shrink.
`java.lang.String` | `toString()`

Methods inherited from class org.jdesktop.swingx.MultiSplitLayout.Node
`getBounds, getParent, getWeight, isVisible, nextSibling, previousSibling, setBounds, setParent, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiSplitLayout.Divider

    public MultiSplitLayout.Divider()

Method Detail

### isVertical

    public final boolean isVertical()

  Convenience method, returns true if the Divider's parent is a Split row (a Split with isRowLayout() true), false otherwise. In other words if this Divider's major axis is vertical, return true.

  Returns:
    true if this Divider is part of a Split row.

### setWeight

    public void setWeight(double weight)

  Dividers can't have a weight, they don't grow or shrink.

  Overrides:
    `setWeight` in class `MultiSplitLayout.Node`
  Parameters:
    `weight` - a double between 0.0 and 1.0
  Throws:
    `java.lang.UnsupportedOperationException`
  See Also:
    `MultiSplitLayout.Node.getWeight()`, `MultiSplitLayout.layoutContainer(java.awt.Container)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.